# Yahoo! UI Library

### attribute 3.3.0

Yahoo! UI Library > attribute
Search:
Filters Show Private Show Protected Show Deprecated

### Module: attribute

The attribute module provides an augmentable Attribute implementation, which adds configurable attributes and attribute change events to the class being augmented. It also provides a State class, which is used internally by Attribute, but can also be used independently to provide a name/property/value data structure to store state.

This module contains the following classes:

- Attribute
- State

#### Submodules:

`attribute-base`
  The attribute-base submodule provides core attribute handling support, with everything aside from complex attribute handling in the provider's constructor.
`attribute-complex`
  Adds support for attribute providers to handle complex attributes in the constructor

Copyright © 2011 Yahoo! Inc. All rights reserved.